Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 995925 - rubypick breaks rubinius build process
Summary: rubypick breaks rubinius build process
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: rubypick
Version: 19
Hardware: Unspecified
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Vít Ondruch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-08-12 02:59 UTC by postmodern
Modified: 2015-02-17 16:43 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 16:43:31 UTC


Attachments (Terms of Use)

Description postmodern 2013-08-12 02:59:02 UTC
Description of problem:

In order to build Rubinius (https://github.com/rubinius/rubinius), it just run `ldd /usr/bin/ruby` (https://github.com/rubinius/rubinius/blob/d19e086d013e7a3c99ec935ca84825db6f437dd8/configure#L1357-L1359) in order to determine the libc file name. Unfortunately, /usr/bin/ruby is not an executable, but a bash script installed by rubypick. This causes the ldd command to fail, thus preventing Rubinius from compiling.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. yum install wget gcc gcc-c++ automake flex bison ruby-devel rubygems rubygem-rake llvm-devel zlib-devel libyaml-devel openssl-devel gdbm-devel readline-devel ncurses-devel
2. wget -O rubinius-release-2.0.0-rc1.tar.gz https://github.com/rubinius/rubinius/archive/release-2.0.0-rc1.tar.gz
3. tar -xzvf rubinius-release-2.0.0-rc1.tar.gz
4. cd rubinius-release-2.0.0-rc1/
5. ./configure

Actual results:
Checking for libc version: libc not found. Use the --libc configure option.

libc not found. Use the --libc configure option. Please check configure.log for more details.


Expected results: Success


Additional info:

Comment 1 postmodern 2014-02-14 02:07:26 UTC
This has been fixed in rubinius 2.2.0.

Comment 2 Vít Ondruch 2014-02-20 11:53:33 UTC
What was changed? Can't see any difference in lines of you have referenced originally.

Comment 3 postmodern 2014-02-21 02:58:06 UTC
Actually, you are correct. I just tested rubinius-2.2.5's ./configure script with rubypick-1.1.1-1.fc19 and ruby-2.0.0.353-16.fc9:

    ./configure
    ...
    Checking for libc version: libc not found. Use the --libc configure option.
    
    Running 'configure' failed. Please check configure.log for more details.

Comment 4 postmodern 2014-04-18 20:43:33 UTC
Bump. This is still an issue and no one has responded to my points in #1065150. Is there a conflict of interest here? Vit Ondruch also appears to maintain rubypick. https://github.com/bkabrda/rubypick/commits/master

Comment 5 Vít Ondruch 2014-04-22 08:04:56 UTC
Have you considered to reported this issue to Rubinius? As far as I understand, usage of rbenv will suffer the same issues.

Comment 6 Fedora End Of Life 2015-01-09 19:24:55 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2015-02-17 16:43:31 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.